Subject: Re: bug#18266: grep -P and invalid exits with error

From: Paul Eggert <[email-masked]>
Date: Thu, 14 Aug 2014 09:15:58 -0700

Santiago wrote:
> Please, revert ca7868cc27db3d9deafaa2e0ac5a2bb0aa8ef373

That commit was necessary to avoid undefined behavior in libpcre.  We 
can't simply undo the commit (unless you want to reintroduce security 
holes into grep :-).  The current behavior is the best we can do, unless 
someone fixes libpcre (which doesn't appear to be likely), or unless 
someone takes the time to write code in grep to work around the problem.

One way forward is suggested in <http://bugs.gnu.org/17245#43>.  No 
doubt there are others.  Can you suggest a volunteer to take this on?